Bug 2113 - LTE RLC AM: all status reports include no more than one NACK.
LTE RLC AM: all status reports include no more than one NACK.
Status: NEEDINFO
Product: ns-3
Classification: Unclassified
Component: lte
pre-release
PC Linux
: P3 normal
Assigned To: Manuel Requena
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-05-05 06:18 EDT by Vladimir Ivanov
Modified: 2018-06-04 07:10 EDT (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Ivanov 2015-05-05 06:18:13 EDT
Hi all,

I inspected code for LTE model, nearly merged into the main repository. In code src/lte/model/lte-rlc-am.cc, the number of bytes allocated for a RLC AM status report is controlled by variable m_statusPduBufferSize, the value of this variable in also used in src/lte/model/lte-ue-mac.cc for the purpose of Logical Channel Prioritization (corresponding lines in lte-rlc-am.cc are 1580-1608). However, in some cases m_statusPduBufferSize takes value of 4 (the reception of a poll bit, line 820 in lte-rlc-am.cc), in other cases m_statusPduBufferSize does not change at all (for instance, the expiry of t-Reordering). As a result, a transport block for a status repost may not be allocated, or can contain no more than one NACK.

Best regards,
Vladimir.
Comment 1 Nicola Baldo 2015-05-07 06:53:45 EDT
Thanks Vladimir for reporting this bug! 
Do you have any suggestion for how to fix it?
Comment 2 Manuel Requena 2018-06-04 07:09:54 EDT
Hi Vladimir,

Your description is not clear.
Please, could you send an example to reproduce the issue?
Thanks